<?php

//Clase de Paises
class clase2
{
  	var $nom_tabla = 'dvredocd';
  	var $n_reg;
	var $codigo;
	var $tip_mov;
	var $fec_doc;
	var $fol_ope;
	var $cve_mto;
	var $por_des;
	var $cve_cen;
	var $cve_ope;
	var $sub_tot;
	var $des_inc;
	var $nom_pac;
	var $can_pro;

	//Funcion de Agregar
	function agregar2(){
		@$ope = mysqli_query($con ,"insert into dvredocd (codigo, tip_mov, fec_doc, num_doc, cve_mto, sub_tot, acc_fec, acc_hor, usuario) values ('$this->codigo', '$this->tip_mov', '$this->fec_doc', '$this->num_doc', '$this->cve_mto', '$this->sub_tot', '".date('Y-m-d')."', '".date('H:i:s')."','".$_SESSION['num_usu']."')");
		if($ope){	
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($con) . ": " . mysqli_error($con);
			return "error";  
		}
	}
	
//Funcion de Lista Completa
	function lista_completa2(){
		$sql= "SELECT * FROM $this->nom_tabla";
		$lista = mysqli_query($con ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($con) . ": " . mysqli_error($con);
			return "$error()";  
		}
	}
//Funcion de Lista con Busqueda
	function lista_busqueda2($n_reg){
		$sql= "SELECT * FROM $this->nom_tabla WHERE n_reg = '$n_reg'";
		$lista = mysqli_query($con ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($con) . ": " . mysqli_error($con);
			return "$error()";   
		}
	}
//Funcion de Modificar
	function modificar2($n_reg){
		$sql = "UPDATE $this->nom_tabla SET codigo = '$this->codigo', tip_mov = '$this->tip_mov', fec_doc = '$this->fec_doc', num_doc = '$this->num_doc', cve_mto = '$this->cve_mto', sub_tot = '$this->sub_tot' WHERE n_reg='$n_reg'"; 
		$result= mysqli_query($con ,$sql);
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($con) . ": " . mysqli_error($con);
			return "$error()"; 
		}
	}
//Funcion de eliminar
	function eliminar2($n_reg){   
		$sql = "DELETE FROM $this->nom_tabla WHERE n_reg = '$n_reg'";
		$resultado = mysqli_query($con ,$sql);
		if($resultado){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($con) . ": " . mysqli_error($con);
			return "$error()"; 
		}           
	}   
}       
?>